package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 视频与列车位置关联匹配日志表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
public class BaseVideoTrains extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 列车位置
     */
    private Integer trainsMile;

    /**
     * 视频位置
     */
    private Integer videoMile;

    /**
     * 关联距离
     */
    private Integer distance;
    /**
     * 是否准确(1是2否)
     */
    private Integer isAccuracy;
    /**
     * 处理时延
     */
    private Integer delay;
}
